Subject: Re: [bug#57253] [PATCH 2/2] gnu: Add keychain.
From: Björn Höfling <[email-masked]>
To: Denis 'GNUtoo' Carikli <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 22 Sep 2022 10:00:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 21 Sep 2022 23:52:54 +0200
Denis 'GNUtoo' Carikli <[email-masked]> wrote:

> The reason might be related to the fact that I sent two unrelated
> patches in the same serie (I'm unsure how best to send unrelated
> patches).

OK. I reviewed it and pushed under

da3bbcc9916b08324e7b85f5b9c528b4696c39d4

with some slight changes:

diff --git a/gnu/packages/crypto.scm b/gnu/packages/crypto.scm
index 3553415ad5..074fa5bf31 100644
--- a/gnu/packages/crypto.scm
+++ b/gnu/packages/crypto.scm
@@ -47,7 +47,6 @@ (define-module (gnu packages crypto)
   #:use-module (gnu packages aidc)
   #:use-module (gnu packages attr)
   #:use-module (gnu packages autotools)
-  #:use-module (gnu packages bash)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
@@ -1716,9 +1715,9 @@ (define-public keychain
                (base32
                 "1bkjlg0a2bbdjhwp37ci1rwikvrl4s3xlbf2jq2z4azc96dr83mj"))))
     (build-system gnu-build-system)
-    (native-inputs (list bash))
+    (propagated-inputs (list procps))
     (arguments
-     `(#:tests? #f
+     `(#:tests? #f ; No test suite
        #:phases (modify-phases %standard-phases
                   (delete 'configure)
                   (replace 'install

* There is no need to use/import bash
* ps is required to find the agent, so I propagated procps
* Tests disabled because there are none. Commented about that fact.

Thanks,

Björn